use std::future::Future;
use std::net::TcpListener;

pub fn relay_client(token: &str, port_id: usize, server: &str, listen_address: &str) {
    log::info!("({}) Start to listen on {}", port_id, listen_address);
    let listener = match TcpListener::bind(&listen_address) {
        Ok(l) => l,
        Err(e) => {
            log::error!("Failed to start to listen on {}!", listen_address);
            std::process::exit(3);
        }
    };

}